# Telegram机器人使用说明

## 🤖 机器人功能

这个Telegram机器人可以帮助您通过聊天界面管理订阅链接和监控节点状态。

## 📋 配置要求

### 1. 创建Telegram机器人
1. 在Telegram中搜索 `@BotFather`
2. 发送 `/newbot` 命令
3. 按提示设置机器人名称和用户名
4. 获取Bot Token（类似：`123456789:ABCdefGHIjklMNOpqrsTUVwxyz`）

### 2. 获取Chat ID
1. 将机器人添加到您的聊天或群组
2. 发送任意消息给机器人
3. 访问：`https://api.telegram.org/bot<YOUR_BOT_TOKEN>/getUpdates`
4. 找到 `chat.id` 字段的值

### 3. 配置环境变量
在 `.env` 文件中添加：
```bash
TELEGRAM_BOT_TOKEN=你的机器人Token
TELEGRAM_CHAT_ID=你的Chat ID
# 支持多个用户，用逗号分隔
# TELEGRAM_CHAT_ID=123456789,987654321
```

## 🚀 启动机器人

1. 确保配置正确后，启动应用：
```bash
node start.js
```

2. 机器人会自动启动并开始监听消息

## 📱 可用命令

### 基础命令
- `/start` - 开始使用机器人，显示欢迎信息
- `/help` - 显示帮助信息和使用说明
- `/status` - 查看系统状态和运行信息

### 订阅管理
- `/subscriptions` - 查看所有订阅列表
- `/add_subscription` - 添加订阅链接
- `/remove_subscription` - 查看删除选项
- `/delete_1` - 删除第1个订阅
- `/delete_2` - 删除第2个订阅（以此类推）
- `/update_subscriptions` - 手动更新所有订阅

### 测速功能
- `/test_speed` - 手动触发测速（开发中）

## 💡 使用技巧

### 1. 直接添加订阅
直接发送订阅链接给机器人即可添加：
```
https://example.com/subscription
ss://user:pass@server:port
vmess://...
trojan://...
```

### 2. 删除订阅
1. 发送 `/remove_subscription` 查看订阅列表
2. 使用 `/delete_1` 删除第1个订阅
3. 使用 `/delete_2` 删除第2个订阅，以此类推

### 3. 查看状态
发送 `/status` 查看：
- 订阅数量和节点数量
- 自动更新状态
- 测速功能状态
- 系统运行时间

## 🔧 支持格式

机器人支持以下订阅格式：
- **Clash配置**：`https://example.com/clash.yaml`
- **Shadowsocks**：`ss://user:pass@server:port`
- **Vmess**：`vmess://...`
- **Trojan**：`trojan://...`
- **Base64编码**：自动解码

## 🛡️ 安全特性

- **权限控制**：只有配置的Chat ID才能使用机器人
- **输入验证**：自动验证订阅链接格式
- **错误处理**：友好的错误提示信息
- **日志记录**：所有操作都有详细日志

## 📊 功能特点

### 自动管理
- 自动解析订阅内容
- 自动去重节点
- 自动更新节点信息
- 自动触发测速

### 实时监控
- 节点状态监控
- 延迟和速度测试
- 故障节点通知
- 恢复节点通知

### 便捷操作
- 一键添加订阅
- 一键删除订阅
- 一键更新订阅
- 一键查看状态

## 🔍 故障排除

### 机器人无响应
1. 检查Bot Token是否正确
2. 检查Chat ID是否正确
3. 检查网络连接
4. 查看应用日志

### 权限被拒绝
1. 确认Chat ID在允许列表中
2. 检查环境变量配置
3. 重启应用

### 订阅添加失败
1. 检查订阅链接格式
2. 确认链接可访问
3. 查看错误日志

## 📝 日志查看

机器人操作日志会记录在应用日志中：
```bash
# 查看实时日志
tail -f logs/app.log

# 查看机器人相关日志
grep "bot" logs/app.log
```

## 🔄 更新说明

机器人功能会持续更新，新功能包括：
- 手动测速功能
- 节点排序功能
- 批量操作功能
- 更丰富的通知

---

💡 **提示**：机器人功能需要正确的Telegram配置才能正常工作。如果遇到问题，请检查配置和网络连接。 