const Node = require('./Node');
const TestResult = require('./TestResult');
const Notification = require('./Notification');
const Subscription = require('./Subscription');

// 定义模型关联关系
Node.hasMany(TestResult, {
  foreignKey: 'nodeId',
  as: 'testResults',
  onDelete: 'CASCADE'
});

TestResult.belongsTo(Node, {
  foreignKey: 'nodeId',
  as: 'node'
});

Node.hasMany(Notification, {
  foreignKey: 'nodeId',
  as: 'notifications',
  onDelete: 'CASCADE'
});

Notification.belongsTo(Node, {
  foreignKey: 'nodeId',
  as: 'node'
});

// 订阅与节点的关联关系
Subscription.hasMany(Node, {
  foreignKey: 'subscriptionId',
  as: 'nodes',
  onDelete: 'CASCADE'
});

Node.belongsTo(Subscription, {
  foreignKey: 'subscriptionId',
  as: 'subscription'
});

module.exports = {
  Node,
  TestResult,
  Notification,
  Subscription
}; 